<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:import href="BTS-Description.xsl"/>

<xsl:template match="CLI">
  <xsl:choose>
  <xsl:when test="$component='all'">
    <xsl:if test="$category='all' or not($category!='')">
      <xsl:apply-templates select="NOUN[@status!='']">
       <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </xsl:if>
    <xsl:if test="not($category='all' or not($category!=''))">
      <xsl:apply-templates select="NOUN[@status!='' and @category=$category]">
       <xsl:sort select="@name"/>
      </xsl:apply-templates>
    </xsl:if>
  </xsl:when>
  <xsl:otherwise>
    <xsl:apply-templates select="NOUN[@name=$component]"/>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>

